> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# [Beta] Get bill upload processing status



## OpenAPI

````yaml api-reference/openapi.json POST /v1/homes/bill-upload/{id}/status
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/homes/bill-upload/{id}/status:
    post:
      tags:
        - homes
      summary: '[Beta] Get bill upload processing status'
      operationId: billUploadStatus
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillUploadStatusResponseDto'
              example:
                id: ws_home_123456789
                status: completed
                utilityId: '12199'
                ratePlanId: 6915de25881cbc6041e4c7f1
                pendingReason: null
                failureReason: null
                warnings:
                  - >-
                    BILL_PDF_DROPPED:https://example.com/bills/february.pdf:FILE_TOO_LARGE
      security:
        - x-ws-api-key: []
        - x-ws-api-key: []
components:
  schemas:
    BillUploadStatusResponseDto:
      type: object
      properties:
        id:
          description: The newly created home ID
          type: string
        status:
          type: string
          enum:
            - processing
            - completed
            - failed
        utilityId:
          type: string
          nullable: true
        ratePlanId:
          type: string
          nullable: true
        failureReason:
          type: string
          nullable: true
        pendingReason:
          type: string
          nullable: true
        warnings:
          type: array
          items:
            type: string
      required:
        - id
        - status
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````